Bug 6007 - Checking 'Display only used Tags/Subfields' on MARC framework page results in unusable output
Summary: Checking 'Display only used Tags/Subfields' on MARC framework page results in...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL: /cgi-bin/koha/admin/marctagstructure.pl
Whiteboard:
Keywords:
Depends on:
Blocks: 1487
  Show dependency treegraph
 
Reported: 2011-03-30 15:03 UTC by Owen Leonard
Modified: 2015-12-03 22:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of the problematic display (29.66 KB, image/png)
2011-03-30 15:03 UTC, Owen Leonard
Details
Screenshot of 'fixed' display (60.51 KB, image/png)
2014-06-26 23:06 UTC, Bernardo Gonzalez Kriegel
Details
Bug 6007: Fix MARC framework display when only used tags/subfields (3.72 KB, patch)
2015-04-08 09:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6007: Fix MARC framework display when only used tags/subfields (3.73 KB, patch)
2015-04-08 10:19 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 6007: Fix MARC framework display when only used tags/subfields (3.78 KB, patch)
2015-04-10 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-03-30 15:03:51 UTC
Created attachment 3531 [details]
Screenshot of the problematic display

When looking at tags for a particular MARC framework, if you check the 'Display only used Tags/Subfields' the page automatically reloads and the table redisplays in a way that is unusable. The table columns no longer match the header and there are no longer links for editing, deleting, etc.
Comment 1 Katrin Fischer 2014-03-15 08:23:34 UTC
This is better in current master. All columns still show up, as do the links for editing, but the table is way too wide, requiring you to scroll.
Comment 2 Bernardo Gonzalez Kriegel 2014-06-26 23:06:53 UTC
Created attachment 29315 [details]
Screenshot of 'fixed' display

Problem with this is value stored in 'seealso' column, e.g. for 650$a
(/cgi-bin/koha/admin/marc_subfields_structure.pl?tagfield=650&frameworkcode=BKS)
See also:
'100b','100c','100q','100d','100e','110a','110b','110c','110d','110e','111a','111e','111c','111d','130a','700a','700b','700c','700q','700d','700e','710a','710b','710c','710d','710e','711a','711e','711c','711d','720a','720e','796a','796b','796c','796q','796d','796e','797a','797b','797c','797d','797e','798a','798e','798c','798d','800a','800b','800c','800q','800d','800e','810a','810b','810c','810d','810e','811a','811e','811c','811d','896a','896b','896c','896q','896d','896e','897a','897b','897c','897d','897e','898a','898e','898c','898d','505r'

Now, what's the use of this value?
Can't be edited and is not displayed on record editor nor framework editor.
AFAIK, it only exists in database.

Can it be set to NULL? 
I did that, and the the view is more 'normal'
Comment 3 Katrin Fischer 2014-06-27 05:39:08 UTC
Hi Bernardo, I think this is a leftover from NoZebra.
Comment 4 Jonathan Druart 2015-04-08 09:11:52 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-04-08 09:14:40 UTC
Since an error appears, I consider this one as major.
Comment 6 Josef Moravec 2015-04-08 10:19:21 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-04-10 15:27:39 UTC
Created attachment 37659 [details] [review]
[PASSED QA] Bug 6007: Fix MARC framework display when only used tags/subfields

The "Display only used tags/subfields" output breaks DataTables and the
output is unusable.

Test plan:
1/ Go on admin/marctagstructure.pl after you have selected a framework
2/ Check the checkbox
3/ The table should be correctly displayed.
Before this patch, the table have 2 lines per tag, now all data are
contained into the same line.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-04-13 16:50:27 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-04-20 10:26:55 UTC
Template changes holding for 3.18.7
Comment 10 Chris Cormack 2015-04-29 21:34:45 UTC
Applied on 3.18.x will be in 3.18.7